# Generated by Django 4.0.3 on 2022-03-08 15:18

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='GoalStatus',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status_name', models.CharField(max_length=300)),
            ],
        ),
        migrations.CreateModel(
            name='ScrumyGoals',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('goal_name', models.CharField(max_length=300)),
                ('goal_id', models.IntegerField()),
                ('created_by', models.CharField(max_length=300)),
                ('moved_by', models.CharField(max_length=300)),
                ('owner', models.CharField(max_length=300)),
                ('goal_status', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='samsonscrumy.goalstatus')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ScrumyHistory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('moved_by', models.CharField(max_length=300)),
                ('created_by', models.CharField(max_length=300)),
                ('moved_from', models.CharField(max_length=300)),
                ('moved_to', models.CharField(max_length=300)),
                ('time_of_action', models.DateTimeField(default=django.utils.timezone.now)),
                ('goal', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='samsonscrumy.scrumygoals')),
            ],
        ),
    ]
